%global debug_package %{nil}

Name:           caribou
Version:        0.2.00
Release:        1%{?dist}
Summary:        A simplified in-place on-screen keyboard

Group:          User Interface/Desktops
License:        LGPLv2+
URL:            http://live.gnome.org/Caribou
Source0:        http://ftp.gnome.org/pub/GNOME/sources/caribou/0.2/caribou-%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  gtk3-devel
BuildRequires:  pygobject2-devel
BuildRequires:  pyclutter-devel
BuildRequires:  pyatspi
BuildRequires:  python-virtkey
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       pygtk2
Requires:       gnome-python2-gconf
Requires:       pyatspi
Requires:       pyclutter
Requires:       python-virtkey

%description
Caribou is a text entry application that currently manifests itself as
a simplified in-place on-screen keyboard.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

echo "NoDisplay=true" >> $RPM_BUILD_ROOT%{_datadir}/applications/caribou.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/caribou.desktop

%find_lang caribou

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%post
if [ $1 -eq 1 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%files -f caribou.lang
%defattr(-,root,root,-)
%doc NEWS COPYING README
%{python_sitelib}/caribou
%{_bindir}/caribou
%{_datadir}/caribou
%{_datadir}/applications/caribou.desktop
%{_sysconfdir}/xdg/autostart/caribou-autostart.desktop
%{_datadir}/glib-2.0/schemas

%changelog
* Tue Apr  5 2011 Matthias Clasen <mclasen@redhat.com> - 0.2.00-1
- Update to 0.2.00

* Tue Mar 22 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.92-1
- Update to 0.1.92

* Thu Mar 10 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.91-1
- Update to 0.1.91

* Thu Mar 10 2011 Parag Nemade <pnemade AT redhat.com> - 0.1.7-1
- Update to 0.1.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 12 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Wed Jun 16 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-3
- Require pyatspi, not at-spi-python

* Sat May 29 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-2
- Rewrite spec for autotools

* Fri May 28 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.2-1
- Update to 0.1.2

* Thu Jan 21 2009 Ben Konrath <ben@bagu.org> - 0.0.2-1
- Initial release.
